> ## Documentation Index
> Fetch the complete documentation index at: https://memoram.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create JWT Token

> Exchange a developer API key for a short-lived JWT bearer token required for subsequent API calls.

Exchange a developer API key for a short-lived JWT bearer token required for subsequent API calls.


## OpenAPI

````yaml POST /auth/token
openapi: 3.0.3
info:
  title: Memoram API v1
  description: >-
    API for interacting with the Memoram platform, managing access, memories,
    and tags.
  version: 1.0.0
  contact:
    name: Memoram Support
    url: https://memoram.app
    email: support@memoram.app
servers:
  - url: https://api.memoram.app/api/v1
    description: Production Server
security: []
tags:
  - name: Access Management
    description: >-
      Endpoints for obtaining authentication tokens and managing access requests
      to user memories.
  - name: Memory Management
    description: >-
      Endpoints for creating, retrieving, updating, and deleting user memory
      blobs.
  - name: Memory Tag Management
    description: Endpoints for retrieving memory tags.
paths:
  /auth/token:
    post:
      tags:
        - Access Management
      summary: Create JWT Token
      description: >-
        Exchange a developer API key for a short-lived JWT bearer token required
        for subsequent API calls.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthTokenRequest'
            example:
              api_key: mem_71c8d4fd816f195801803cd4c801735dfbafaaba72a88eea
              expires_in: 3600
      responses:
        '200':
          description: Successfully created JWT token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthTokenResponse'
        '400':
          description: Bad Request - Invalid API key or parameters.
        '401':
          description: Unauthorized - Invalid API key.
components:
  schemas:
    AuthTokenRequest:
      type: object
      required:
        - api_key
      properties:
        api_key:
          type: string
          description: Your developer secret API key (mem_...).
        expires_in:
          type: integer
          description: Optional requested token lifetime in seconds (server may override).
          example: 3600
    AuthTokenResponse:
      type: object
      properties:
        token:
          type: string
          description: The JWT bearer token.
        expires_at:
          type: string
          format: date-time
          description: The ISO 8601 timestamp when the token expires.
        token_type:
          type: string
          example: Bearer

````